%define upstream_name    Net-GraphSpace
%define upstream_version 0.0009

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    API bindings for GraphSpace
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Moose)
BuildArch:  noarch

%description
Net::GraphSpace provides bindings for the GraphSpace API. GraphSpace is a
web based graph/network visualization tool and data store. See the
http://graphspace.org manpage for more information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.0.900-2.mga3
+ Revision: 370629
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 kharec <kharec> 0.0.900-1.mga2
+ Revision: 178243
- update to 0.0009

* Sat Nov 26 2011 kharec <kharec> 0.0.800-1.mga2
+ Revision: 172169
- update to 0.0008

* Sat Nov 26 2011 kharec <kharec> 0.0.700-1.mga2
+ Revision: 172134
- imported package perl-Net-GraphSpace

